
QGIS Application - Bug report #7968

change the message "The feature cannot be added because it's geometry collapsed due to 

intersection avoidance" as is misleading in some cases

2013-06-02 02:18 AM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 16827

Description

The above message shows not only when a feature cannot be digitized because it would be removed because of the "avoid intersection"

option.

It shows also when digitizing a polygon adjacent to another one that has errors. This message is very misleading in this cases. The user

should be warned that the polygon cannot be digitized because the one being used to "clip" the overlapped part has errors.

History

#1 - 2013-06-02 07:45 PM - Mathieu Pellerin - nIRV

Should misleading phrasing be a blocker at this stage?

#2 - 2013-06-03 12:25 AM - Giovanni Manghi

- Priority changed from Severe/Regression to High

Mathieu Pellerin - nIRV wrote:

Should misleading phrasing be a blocker at this stage?

no

#3 - 2013-06-07 03:16 AM - Giovanni Manghi

- Priority changed from High to Normal

#4 - 2014-01-30 11:41 PM - Paolo Cavallini

- Target version changed from Version 2.0.0 to Future Release - High Priority

#5 - 2017-05-01 01:09 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#6 - 2019-03-09 04:04 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed
End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
